Subject: Re: bug#2912: 23.0.92; Ediff over TRAMP too slow

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Apr 2009 11:26:59 -0400

>>> Ediff two remote files using /ssh:... protocol
>>> It seems to go over the network for everything.  At first I thought it
>>> was the auto-refining, but I turned that off and it didn't seem to make
>>> any difference in speed.
>> In case of remote files, ediff compares local copies, indeed.
> If that's all it was doing, I wouldn't be complaining.  Each time I move to
> the next diff, it appears to be going over the network.

I cannot reproduce this here.  I opened two remote files (via Tramp/SSH)
and called M-x ediff-buffers, then killed Tramp's internal buffer and
moved from diff to diff (via ediff's frame using keys like `n' and SPC)
and it did not try to reconnect to the remote machine.

        Stefan